      character prompt*80,default*80
c
      prompt='Give me a string'
      default=' '
10    call askc(prompt,default,ic)
      print*,ic,default
      call askc(prompt,default,ic)
      print*,ic,default
      go to 10
      stop
      end

